#!/bin/bash

TABLES=$(cat /etc/iproute2/rt_tables  | grep lms_adsl_ | cut -d " " -f 2)

for T in $TABLES
do
	if [[ $(ip route list table $T) ]]
	then
		ip route flush table $T
		echo flushing route table $T
	fi
done

RULES=$(ip rule list | grep lms_adsl_ | cut -d " " -f 2)

for R in $RULES
do
	echo removing rule $R
	ip rule del from $R
done

ip route flush cache

